
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #262

Scrobbler 2.0 may re-scrobble tracks when starting Audacious in "paused" mode
Description

When starting Audacious, if a track is paused, we can scrobble a track even if was already scrobbled before.

This needs to be further investigated to find possible solutions.

History

#1 - March 09, 2013 20:47 - Luís Picciochi

- Subject changed from Starting Audacious in "paused" mode to Scrobbler 2.0 may re-scrobble tracks when starting Audacious in "paused" mode

#2 - March 23, 2013 15:17 - John Lindgren

We scrobble a track once per "playback ready", so quitting and then restarting the program causes the track to be scrobbled twice.  Is that the

problem?

#3 - March 24, 2013 01:02 - Luís Picciochi

- File dupscrobbles.png added

Yes, but it can only happen with long tracks (> 8 minutes) that have been played for half of their length or for 4 minutes before the player was

shutdown.

Given my inability to explain this in text, I'm attaching a diagram that I used to help myself understand where the problem is. I hope this explains the

issue a bit better.

A possible solution is to save somewhere an indication that the current song has been scrobbled until it is stopped/finishes playing. This could

probably be a plugin preference on the config file. When starting the plugin, we can check if the current song is paused. If it corresponds to the saved

song, we can skip it.

Note that for on this issue I'm considering "scrobbled" with the same meaning as "*enqueued* for scrobbling".

#4 - July 18, 2015 18:40 - John Lindgren

- Status changed from New to Rejected

Closing old scrobbler "TODO" items since Luís has not been actively working on the plugin for a while now.
